com.google.gwt.cell.client

## Class TextCell

- java.lang.Object
- - com.google.gwt.cell.client.AbstractCell<C>
  - - com.google.gwt.cell.client.AbstractSafeHtmlCell<java.lang.String>
    - - com.google.gwt.cell.client.TextCell

All Implemented Interfaces:
  Cell<java.lang.String>

    public class TextCell
    extends AbstractSafeHtmlCell<java.lang.String>

A `Cell` used to render text.

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.google.gwt.cell.client.Cell

`Cell.Context`

### Constructor Summary

Constructors
Constructor and Description
`TextCell()` Constructs a TextCell that uses a `SimpleSafeHtmlRenderer` to render its text.
`TextCell(SafeHtmlRenderer<java.lang.String> renderer)` Constructs a TextCell that uses the provided `SafeHtmlRenderer` to render its text.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `render(Cell.Context context, SafeHtml value, SafeHtmlBuilder sb)` Render the cell contents after they have been converted to `SafeHtml` form.

### Methods inherited from class com.google.gwt.cell.client.AbstractSafeHtmlCell

`getRenderer, render`

### Methods inherited from class com.google.gwt.cell.client.AbstractCell

`dependsOnSelection, getConsumedEvents, handlesSelection, isEditing, onBrowserEvent, onEnterKeyDown, resetFocus, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextCell

    public TextCell()

Constructs a TextCell that uses a `SimpleSafeHtmlRenderer` to render its text.

#### TextCell

    public TextCell(SafeHtmlRenderer<java.lang.String> renderer)

Constructs a TextCell that uses the provided `SafeHtmlRenderer` to render its text.

Parameters:
  `renderer` - a `SafeHtmlRenderer<String>` instance

### Method Detail

#### render

    public void render(Cell.Context context,
                       SafeHtml value,
                       SafeHtmlBuilder sb)

Description copied from class: `AbstractSafeHtmlCell`
Render the cell contents after they have been converted to `SafeHtml` form.

Specified by:
  `render` in class `AbstractSafeHtmlCell<java.lang.String>`
Parameters:
  `context` - the original context to render
  `value` - a `SafeHtml` string
  `sb` - the `SafeHtmlBuilder` to be written to